Belle Theme for Apex Launcher

Hi, this is Belle Theme for Apex Launcher.

In order to use it, you need Android 4.0 (or higher) on your device and Apex Launcher installed.

If you would like to have an icon for a app you use, feel free to ask by email!

All feedbacks and reports are really appreciated!
Read more
3.6
5 total
5
4
3
2
1
Loading...

What's New

1.9

- Added several new icons
Read more

Additional Information

Eligible for Family Library
Eligible if bought after 7/2/2016. Learn More
Updated
November 18, 2012
Size
6.4M
Installs
50+
Current Version
1.9
Requires Android
4.0 and up
Content Rating
Everyone
Permissions
Offered By
p@sco
©2018 GoogleSite Terms of ServicePrivacyDevelopersArtistsAbout Google|Location: United StatesLanguage: English (United States)
By purchasing this item, you are transacting with Google Payments and agreeing to the Google Payments Terms of Service and Privacy Notice.